org.apache.hc.client5.http.auth

## Enum AuthExchange.State

- java.lang.Object
- - java.lang.Enum<AuthExchange.State>
  - - org.apache.hc.client5.http.auth.AuthExchange.State

- All Implemented Interfaces:
    Serializable, Comparable<AuthExchange.State>
  Enclosing class:
    AuthExchange

      public static enum AuthExchange.State
      extends Enum<AuthExchange.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHALLENGED`
    `FAILURE`
    `HANDSHAKE`
    `SUCCESS`
    `UNCHALLENGED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthExchange.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthExchange.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCHALLENGED

          public static final AuthExchange.State UNCHALLENGED

    - #### CHALLENGED

          public static final AuthExchange.State CHALLENGED

    - #### HANDSHAKE

          public static final AuthExchange.State HANDSHAKE

    - #### FAILURE

          public static final AuthExchange.State FAILURE

    - #### SUCCESS

          public static final AuthExchange.State SUCCESS

  - ### Method Detail

    - #### values

          public static AuthExchange.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthExchange.State c : AuthExchange.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthExchange.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.